CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | List of all members
booster::locale::calendar_facet Class Referenceabstract

the facet that generates calendar for specific locale More...

`#include <booster/booster/locale/date_time_facet.h>`

Inheritance diagram for booster::locale::calendar_facet:

## Public Member Functions
| calendar_facet (size_t refs=0)
virtual abstract_calendar * | create_calendar () const =0

## Static Public Attributes
static std::locale::id | id

## Detailed Description

the facet that generates calendar for specific locale

## Constructor & Destructor Documentation

booster::locale::calendar_facet::calendar_facet | ( | size_t | refs = `0` | ) |
| inline

Basic constructor

## Member Function Documentation

virtual abstract_calendar* booster::locale::calendar_facet::create_calendar | ( |  | ) | const
| pure virtual

Create a new calendar that points to current point of time.

## Member Data Documentation

std::locale::id booster::locale::calendar_facet::id
| static

Locale id (needed to work with std::locale)

The documentation for this class was generated from the following file:

- booster/locale/date_time_facet.h